# Method: projects.datasets.fetchDatasetErrors

- [HTTP request](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/fetchDatasetErrors#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/fetchDatasetErrors#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/fetchDatasetErrors#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/fetchDatasetErrors#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/fetchDatasetErrors#body.response_body)
  - [JSON representation](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/fetchDatasetErrors#body.FetchDatasetErrorsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/fetchDatasetErrors#body.aspect)
- [IAM Permissions](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/fetchDatasetErrors#body.aspect_1)
- [Status](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/fetchDatasetErrors#Status)
  - [JSON representation](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/fetchDatasetErrors#Status.SCHEMA_REPRESENTATION)

Gets all the errors of a dataset.

### HTTP request

`GET https://mapsplatformdatasets.googleapis.com/v1/{dataset=projects/*/datasets/*}:fetchDatasetErrors`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `dataset` | `string` Required. The name of the dataset to list all the errors for. Format: projects/{project}/datasets/{datasetId} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of errors to return per page. The maximum value is 500; values above 500 will be capped to 500. If unspecified, at most 50 errors will be returned. |
| `pageToken` | `string` The page token, received from a previous ListDatasetErrors call. Provide this to retrieve the subsequent page. |

### Request body

The request body must be empty.

### Response body

Response object of datasets.fetchDatasetErrors.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "nextPageToken": string, "errors": [ { object (`https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/fetchDatasetErrors#Status`) } ] } ``` |

| Fields ||
|---|---|
| `nextPageToken` | `string` A token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `errors[]` | ``object (`https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/fetchDatasetErrors#Status`)`` The errors associated with a dataset. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `dataset` resource:

- `mapsplatformdatasets.datasets.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## Status

The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details.

You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).

| JSON representation |
|---|
| ``` { "code": integer, "message": string, "details": [ { "@type": string, field1: ..., ... } ] } ``` |

| Fields ||
|---|---|
| `code` | `integer` The status code, which should be an enum value of `https://github.com/googleapis/googleapis/blob/master/google/rpc/code.proto`. |
| `message` | `string` A developer-facing error message, which should be in English. |
| `details[]` | `object` A list of messages that carry the error details. There is a common set of message types for APIs to use. |